<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package ameen
 */

?>
<!doctype html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="http://gmpg.org/xfn/11">
        <link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
<?php wp_head(); ?>        
</head>

<body <?php body_class(); ?>>
    <header class="site-header" role="banner">
        <div class="navbar-wraper">
            <nav class="nav navbar-default navbar-fixed-top">
                <div class="container">
                    <div class="navbar-header">
                        <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#navbar-collapse">
                            <span class="sr-only">Toggle Navigation</span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                        </button>
                        <a class="skip-link screen-reader-text" href="#content"><?php esc_html_e( 'Skip to content', 'ameen' ); ?></a>
                        <?php
                            // Display the Custom Logo
                            the_custom_logo();
                            
                            // No Custom Logo, just display the site's name
                            if (!has_custom_logo()) {
                                ?>
                                <h2 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h2>
                                <?php
                            }
                            ?>
                    </div> <!--navbar-header-->
                    <div class="navbar-collapse collapse" id="navbar-collapse">
                            <?php
				wp_nav_menu( array(
					'theme_location' => 'menu-1',
                                        'depth' => 3,
                                        'menu_class'     => 'nav navbar-nav navbar-right',
                                        'fallback_cb'   => 'wp_bootstrap_navwalker::fallback',
                                        'walker' => new Bootstrap_Walker_Nav_Menu()
				) );
			?>
                    </div>
                </div>
            </nav> 
        </div>
    </header>