<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package ameen
 */

get_header();
?>
<section class="feature-image feature-image-default">
            <h1 class="page-title"><?php echo esc_html(get_theme_mod( 'blogpage_title' ));?></h1>
</section><!--page header-->
    <div class="container">
        <div class="row" id="primary">
            <main id="content" class="col-sm-8" role="main">
                <?php
		if ( have_posts() ) :

			if ( is_home() && ! is_front_page() ) : ?>
				<header>
					<h1 class="page-title screen-reader-text"><?php single_post_title(); ?></h1>
				</header>

			<?php
			endif;

			/* Start the Loop */
			while ( have_posts() ) : the_post();

				get_template_part( 'template-parts/content', get_post_format() );

			endwhile;

			the_posts_pagination();

		else :

			get_template_part( 'template-parts/content', 'none' );

		endif; ?>
            </main>
            <div class="col-sm-4">
                <?php get_sidebar(); ?>
            </div>
        </div>
    </div>

<?php
get_footer();