<?php
/**
 * Template part for displaying results in search pages
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package ameen
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header">
		<?php
		if ( is_singular() ) :
			the_title( '<h3 class="entry-title">', '</h3>' );
		else :
			the_title( '<h3 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h3>' );
		endif;

		if ( 'post' === get_post_type() ) : ?>
		<div class="post-meta">
                    <i class="fa fa-user"></i> <?php the_author(); ?>
                    <i class="fa fa-clock-o"></i><time> <?php the_date(); ?></time>
                    <i class="fa fa-folder"></i>
                    <?php the_category(' | '); ?>
                    <i class="fa fa-tags"></i>
                    <?php the_tags('' ,', ', ''); ?>
                    <div class="post-comments-badge">
                        <a href="<?php comments_link(); ?>"><i class="fa fa-comments"></i><?php comments_number(0, 1, '%'); ?></a>
                    </div>
                    <div><?php edit_post_link(' Edit this post', '<i class="fa fa-pencil"></i>', ''); ?></div>
                </div>
		<?php
		endif; ?>
	</header>
            <?php if (has_post_thumbnail()){ // check for post featured image ?>
                <div class="image">
                    <?php the_post_thumbnail('index-thumb'); ?>
                </div> <!--post-image-->
            <?php }?>
                <div class="post-excerpt">
            <?php the_excerpt(); ?>
                <footer class="entry-footer read-more">
                    <?php echo '<a href="' . esc_url( get_permalink() ) . '" title="' . esc_html__('Continue Reading', 'ameen') . get_the_title() . '" rel="bookmark">Continue Reading<i class="fa fa-arrow-circle-o-right"></i></a>'; ?>
                </footer><!-- .entry-footer -->
                </div> 
</article><!-- #post-<?php the_ID(); ?> -->